Bug 25871 - Add "only library" to OpacItemLocation options
Summary: Add "only library" to OpacItemLocation options
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2020-06-24 19:56 UTC by Owen Leonard
Modified: 2020-11-30 21:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25871: Add "only library" to OpacItemLocation options (4.96 KB, patch)
2020-06-24 20:25 UTC, Owen Leonard
Details | Diff | Splinter Review
0001-Bug-25871-Add-only-library-to-OpacItemLocation-optio.patch (5.01 KB, patch)
2020-07-27 16:46 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 25871: Add "only library" to OpacItemLocation options (5.02 KB, patch)
2020-08-04 00:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25871: (QA follow-up) Update syspref (10.06 KB, patch)
2020-08-04 00:50 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-06-24 19:56:20 UTC
The OpacItemLocation preference currently has three choices:

- location: location
- ccode: "collection code"
- callnum: "call number only"

I propose that we clarify the labels for these options and add a new one:

- location: "library, location, and call number"
- ccode: "library, collection code, and call number"
- callnum: "library and call number"
- library: "only library"

The "only library" option would provide an option which was previously only available in the non-XSLT view via the "don't show" option under the "OPACItemsResultsDisplay" : 

"Availability: Items available for loan: Athens (2), Nelsonville (1)."

If this change is acceptable we can WONTFIX Bug 5229 and create a bug to remove the OpacItemsResultsDisplay preference.
Comment 1 Owen Leonard 2020-06-24 20:25:49 UTC
Created attachment 106262 [details] [review]
Bug 25871: Add "only library" to OpacItemLocation options

This patch adds a new option to the OpacItemLocation system preference,
"only library." It also rewords the descriptions of the existing options
in order to make their use more clear.

To test, apply the patch and make sure your OPACXSLTResultsDisplay
system preference is set to "default."

Test the OPAC search results using each of the OpacItemLocation
preference options:

- location: "library, location, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Location(s): Athens new book shelf Call number: JNF 952.025 Bl."

- ccode: "library, collection code, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Collection(s): Juvenile non-fiction Call number: JNF 952.025 Bl."

- callnum: "library and call number," e.g.

  "Availability: Items available for loan: AthensCall number: JNF
   952.025 Bl (1)."

- library: "only library," e.g."

  "Availability: Items available for loan: Athens (1)."
Comment 2 Amit Gupta 2020-07-27 16:46:40 UTC
Created attachment 107443 [details] [review]
0001-Bug-25871-Add-only-library-to-OpacItemLocation-optio.patch

Work OK.

This patch adds a new option to the OpacItemLocation system preference,
"only library." It also rewords the descriptions of the existing options
in order to make their use more clear.

To test, apply the patch and make sure your OPACXSLTResultsDisplay
system preference is set to "default."

Test the OPAC search results using each of the OpacItemLocation
preference options:

- location: "library, location, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Location(s): Athens new book shelf Call number: JNF 952.025 Bl."

- ccode: "library, collection code, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Collection(s): Juvenile non-fiction Call number: JNF 952.025 Bl."

- callnum: "library and call number," e.g.

  "Availability: Items available for loan: AthensCall number: JNF
   952.025 Bl (1)."

- library: "only library," e.g."

  "Availability: Items available for loan: Athens (1)."
Comment 3 Nick Clemens 2020-08-04 00:50:20 UTC
Created attachment 107723 [details] [review]
Bug 25871: Add "only library" to OpacItemLocation options

This patch adds a new option to the OpacItemLocation system preference,
"only library." It also rewords the descriptions of the existing options
in order to make their use more clear.

To test, apply the patch and make sure your OPACXSLTResultsDisplay
system preference is set to "default."

Test the OPAC search results using each of the OpacItemLocation
preference options:

- location: "library, location, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Location(s): Athens new book shelf Call number: JNF 952.025 Bl."

- ccode: "library, collection code, and call number," e.g.

  "Availability: Items available for loan: Athens (1).
   Collection(s): Juvenile non-fiction Call number: JNF 952.025 Bl."

- callnum: "library and call number," e.g.

  "Availability: Items available for loan: AthensCall number: JNF
   952.025 Bl (1)."

- library: "only library," e.g."

  "Availability: Items available for loan: Athens (1)."

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Comment 4 Nick Clemens 2020-08-04 00:50:23 UTC
Created attachment 107724 [details] [review]
Bug 25871: (QA follow-up) Update syspref
Comment 5 Jonathan Druart 2020-08-06 09:38:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-13 18:33:09 UTC
not backporting enhancement to 20.05.x series